Bug 827101 - (trayer-srg) Review Request: trayer-srg - a small gtk2 systray
Review Request: trayer-srg - a small gtk2 systray
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 755498 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2012-05-31 11:32 EDT by Bryan Bickford
Modified: 2013-06-02 06:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-02 06:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Bickford 2012-05-31 11:32:27 EDT
Spec URL: <https://raw.github.com/bryanbickford/trayer/master/trayer.spec>
SRPM URL: <https://github.com/bryanbickford/trayer/raw/master/trayer-1.1-1.fc17.src.rpm>
Description: <trayer is a systray for alternative desktop environments.>
Fedora Account System Username: bryanbickford
Comment 1 Mario Blättermann 2012-07-07 15:26:25 EDT
*** Bug 755498 has been marked as a duplicate of this bug. ***
Comment 2 Mario Blättermann 2012-07-07 16:01:48 EDT
Some initial comments:

Trayer is a very old tool. But you are packaging a forked version named trayer-srg. That's why your package has to be named so to distinguish it from the trayer package (which doesn't exist in Fedora yet, but doesn't matter in this case).

Summary:	trayer-srg...
Don't mention the package name again in the summary. This is not really useful.


It's not needed tp provide an URL to the tarball when using a Git snapshot. Just the tarball name, including the way you've got it (as you already did anyway).

Requires:	libXmu-devel
A *devel package as a runtime requirement...? Normally, such packages are needed to build the package. Either move to BuildRequires or explain why trayer-srg needs it.

%defattr(-,root,root,-)
You may drop this line from the files section unless you are planning to provide it for EPEL < 6.

* Thu May 31 2012 Bryan Bickford <bryan@unhwildhats.com> 1.1
Add the release number at the end of this line:
* Thu May 31 2012 Bryan Bickford <bryan@unhwildhats.com> 1.1-1
Comment 3 Mario Blättermann 2012-08-05 14:46:06 EDT
Any news about this?
Comment 4 Bryan Bickford 2012-08-06 08:40:54 EDT
Here are the updated files with all the fixes mentioned.

SPEC: https://raw.github.com/bryanbickford/trayer/master/trayer.spec
SRPM: https://github.com/bryanbickford/trayer/raw/master/trayer-1.1-1.fc17.src.rpm
Comment 6 Mario Blättermann 2012-08-06 16:44:13 EDT
Taking for review.
Comment 7 Mario Blättermann 2012-08-09 05:20:32 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4371101

$ rpmlint -i -v *
trayer-srg.i686: I: checking
trayer-srg.i686: W: spelling-error Summary(en_US) systray -> stray
The value of this tag appears to be misspelled. Please double-check.

trayer-srg.i686: W: spelling-error %description -l en_US systray -> stray
The value of this tag appears to be misspelled. Please double-check.

trayer-srg.i686: W: no-url-tag
The URL tag is missing.

trayer-srg.i686: W: file-not-utf8 /usr/share/doc/trayer-srg-1.1/CREDITS
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

trayer-srg.i686: W: no-manual-page-for-binary trayer
Each executable in standard binary directories should have a man page.

trayer-srg.src: I: checking
trayer-srg.src: W: spelling-error Summary(en_US) systray -> stray
The value of this tag appears to be misspelled. Please double-check.

trayer-srg.src: W: spelling-error %description -l en_US systray -> stray
The value of this tag appears to be misspelled. Please double-check.

trayer-srg.src: W: no-url-tag
The URL tag is missing.

trayer-srg.src: I: checking-url https://github.com/bryanbickford/trayer/blob/master/trayer-srg-1.1-1.tar.gz (timeout 10 seconds)
trayer-srg.src: W: file-size-mismatch trayer-srg-1.1-1.tar.gz = 27200, https://github.com/bryanbickford/trayer/blob/master/trayer-srg-1.1-1.tar.gz = 28344
The size of the file in the package does not match the size indicated by
peeking at its URL.  Verify that the file in the package has the intended
contents.

trayer-srg.x86_64: I: checking
trayer-srg.x86_64: W: spelling-error Summary(en_US) systray -> stray
The value of this tag appears to be misspelled. Please double-check.

trayer-srg.x86_64: W: spelling-error %description -l en_US systray -> stray
The value of this tag appears to be misspelled. Please double-check.

trayer-srg.x86_64: W: no-url-tag
The URL tag is missing.

trayer-srg.x86_64: W: file-not-utf8 /usr/share/doc/trayer-srg-1.1/CREDITS
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

trayer-srg.x86_64: W: no-manual-page-for-binary trayer
Each executable in standard binary directories should have a man page.

trayer-srg-debuginfo.i686: I: checking
trayer-srg-debuginfo.i686: W: no-url-tag
The URL tag is missing.

trayer-srg-debuginfo.i686: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being
able to strip the binaries, the package actually being a noarch one but
erratically packaged as arch dependent, or something else.  Verify what the
case is, and if there's no way to produce useful debuginfo out of it, disable
creation of the debuginfo package.

trayer-srg-debuginfo.x86_64: I: checking
trayer-srg-debuginfo.x86_64: W: no-url-tag
The URL tag is missing.

trayer-srg-debuginfo.x86_64: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being
able to strip the binaries, the package actually being a noarch one but
erratically packaged as arch dependent, or something else.  Verify what the
case is, and if there's no way to produce useful debuginfo out of it, disable
creation of the debuginfo package.

5 packages and 0 specfiles checked; 2 errors, 16 warnings.



Please add an URL: tag to your spec.


The file "CREDITS" has a bad character encoding, append the following commands to the %prep section:

iconv -f iso-8859-15 -t utf8 CREDITS > CREDITS.new
touch -r CREDITS CREDITS.new
mv CREDITS.new CREDITS


The debug package is empty. This happens because binaries have been stripped before creating the debug info. You tried to fix this with the CFLAGS variable in the make call, but the Makefile doesn't contain CFLAGS, that's why nothing happens. Normally the Makefile.common should be recognized, which defines CFLAGS, but it isn't.


In contrast to INSTALL, there's no configure script which can be run. We have to use the Makefile anyway. You should inform the upstream developers about this. In any case, the Makefile has to be changed to reflect the good CFLAGS variable. In general, the Makefile needs some tweaking:

TARGET = trayer

This should be trayer-srg, because we speak about a fork of trayer, not about trayer itself.


The sources contain a manpage (with the name trayer instead of trayer-srg again). This is not installed. Fix the application name in trayer.1, rename it to trayer-srg and install it with the following command:

install -D -p -m 644 man/%{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1

Add the following line to %files:
%{_mandir}/man1/%{name}.1.*
Comment 8 Mario Blättermann 2012-09-06 03:42:52 EDT
Any news here...?
Comment 9 Mario Blättermann 2012-10-02 16:16:51 EDT
Just a reminder ...
Comment 10 Mario Blättermann 2012-10-30 16:25:33 EDT
Just a reminder, sent out once a month ... as usual ;)
Comment 11 Mario Blättermann 2013-05-16 14:22:33 EDT
No response from the packager for almost one year. @Bryan, if you are still interested in to keep this alive, please provide new files.
Comment 12 Mario Blättermann 2013-06-02 06:39:15 EDT
This ticket seems to be dead, so I will close it now as FE-DEADREVIEW.

Note You need to log in before you can comment on or make changes to this bug.